package com.camera.local_camera;

import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;
import android.content.Intent;
import android.provider.MediaStore;
import android.app.Activity;
import android.graphics.Bitmap;
import 	java.io.*;
import android.os.Environment;

/** LocalCameraPlugin */
public class LocalCameraPlugin extends Activity implements MethodCallHandler {
  String filePath;
  private static final String CHANNEL = "camera.com/picture";
  /** Plugin registration. */
  public static void registerWith(Registrar registrar) {
    final MethodChannel channel = new MethodChannel(registrar.messenger(), CHANNEL);
    channel.setMethodCallHandler(new LocalCameraPlugin());
  }

  @Override
  public void onMethodCall(MethodCall call, Result result) {
    if (call.method.equals("getPhoto")) {
      getPhoto();
    } else if (call.method.equals("getFilePath")){
      result.success(getFilePath());
    } 
    else {
      result.notImplemented();
    }
  }

  public void getPhoto(){
      Intent i = new Intent(MediaStore.ACTION_IMAGE_CAPTURE);
      startActivityForResult(i, 1);
  }

  public String getFilePath(){
    return filePath;
  }

  @Override
  protected void onActivityResult(int requestCode, int resultCode, Intent data){
    super.onActivityResult(requestCode, resultCode, data);
    Bitmap bitmap = (Bitmap)data.getExtras().get("data");

    File directory =new File(Environment.getDataDirectory() + "/customer_selfies/");

    if (!directory.exists()) {
      directory.mkdir();
  }
  File file = new File(directory, "selfie.PNG");
    try (FileOutputStream out = new FileOutputStream(file)) {
      bitmap.compress(Bitmap.CompressFormat.PNG, 100, out);
  } catch (IOException e) {
      e.printStackTrace();
  }
  }
}
